<template>
  <div class="faq container">
    <div class="faq__img img">
      <learn-to-trade />
      <div class="img__content">
        <p class="base-title">{{ $t('title') }}</p>
        <p class="img__text">
          {{ $t('text') }}
        </p>
        <nuxt-link :to="localePath('/faq')" class="arrow-link"
          >{{ $t('learnMore') }}</nuxt-link
        >
      </div>
    </div>
    <div class="faq__list">
      <faq-item
        v-for="(item, index) in $t('faqItems')"
        :key="index"
        :title="item.title"
        :icon="item.icon"
        :link="item.link"
      />
    </div>
  </div>
</template>

<script>
import LearnToTrade from '../icon/LearnToTrade'
import FaqItem from './FaqItem'
export default {
  components: { FaqItem, LearnToTrade },
}
</script>

<i18n>
{
  "en": {
    "title": "Learn to trade efficiently",
    "text": "Get up to speed on TBCC with articles, guides and step-by-step tutorials",
    "learnMore": "learn more",
    "faqItems": [
      {
        "icon": "tbcc",
        "title": "How to Withdraw Cryptocurrency from TBCC",
        "link": "/faq/how-to-withdraw"
      },
      {
        "icon": "trade",
        "title": "How to trade?",
        "link": "/faq/how-to-trade"
      },
      {
        "icon": "stake",
        "title": "How to stake?",
        "link": "/faq/how-to-stake"
      },
      {
        "icon": "swap",
        "title": "How to Change Account Email?",
        "link": "/faq/how-to-change-email"
      },
      {
        "icon": "tbcc",
        "title": "How to pass two-factor authentication?",
        "link": "/faq/how-to-pass-two-factor-auth"
      },
      {
        "icon": "swap",
        "title": "How to Reset the Password?",
        "link": "/faq/how-to-reset-password"
      }
    ]
  },
  "ch": {
    "title": "学高效的交易",
    "text": "通过文章、指南和分步教程了解TBCC的进展情况",
    "learnMore": "了解更多",
    "faqItems": [
      {
        "icon": "tbcc",
        "title": "TBCC是什么 ? ",
        "link": "/faq"
      },
      {
        "icon": "trade",
        "title": "如何交易?",
        "link": "/faq"
      },
      {
        "icon": "stake",
        "title": "如何权益质押",
        "link": "/faq/how-to-stake"
      },
      {
        "icon": "swap",
        "title": "如何调换",
        "link": "/faq"
      }
    ]
  },
  "tur": {
    "title": "Learn to trade efficiently",
    "text": "Get up to speed on TBCC with articles, guides and step-by-step tutorials",
    "learnMore": "learn more",
    "faqItems": [
      {
        "icon": "tbcc",
        "title": "What is TBCC?",
        "link": "/faq"
      },
      {
        "icon": "trade",
        "title": "How to trade?",
        "link": "/faq"
      },
      {
        "icon": "stake",
        "title": "How to stake?",
        "link": "/faq/how-to-stake"
      },
      {
        "icon": "swap",
        "title": "How to swap?",
        "link": "/faq"
      }
    ]
  }
}
</i18n>

<style lang="scss" scoped>
.faq {
  display: flex;
  flex-direction: column;

  @media (min-width: 768px) {
    flex-direction: row;
  }

  &__img,
  &__list {
    width: 100%;
    max-width: 100%;

    @media (min-width: 768px) {
      width: 50%;
      max-width: 50%;
    }
  }

  &__img {
    @media (max-width: 767px) {
      display: flex;
      flex-direction: column;
      align-items: center;
    }

    & > svg {
      max-width: 430px;
      max-height: 273px;
      width: 100%;
      height: 100%;
    }
  }

  &__list {
    @media (min-width: 768px) {
      padding-left: 20px;
      padding-top: 15px;
    }
  }
}

.base-title {
  font-weight: 700;
  margin: 0 0 30px;
  font-size: 28px;
  line-height: 35px;
  text-align: center;

  @media (min-width: 768px) {
    text-align: unset;
    margin: 0 0 35px;
  }

  @media (min-width: 1024px) {
    font-size: 32px;
    line-height: 40px;
  }
}

.img {
  &__text {
    max-width: 320px;
    font-size: 16px;
    line-height: 24px;
    color: #6983ab;
    margin: 0 0 30px;
    text-align: center;

    @media (min-width: 768px) {
      text-align: unset;
      margin: 0 0 35px;
      max-width: 400px;
    }

    @media (min-width: 1024px) {
      font-size: 18px;
      line-height: 28px;
    }
  }

  &__content {
    @media (max-width: 767px) {
      display: flex;
      flex-direction: column;
      align-items: center;
    }
  }
}

.arrow-link {
  @media (max-width: 767px) {
    margin-bottom: 20px;
  }
}
</style>
